const { discoverPostSource, getPostList } = require("post-feed-reader")

// Looks for metadata pointing to the Wordpress REST API or Atom/RSS Feeds
const source = await discoverPostSource('https://www.nytimes.com');;

// Retrieves the posts from the given source
const list = await getPostList(source);;

list.posts.map(post => post.title);

const techCrunchSource = await discoverPostSource('https://techcrunch.com');;
const techCrunchList = await getPostList(techCrunchSource, {
    fillTextContents: true, // Automatically converts HTML contents into plain text
    wordpress: {
        fetchBlogInfo: true, // Ensures blog title, description and favicons are available for WordPress sources
    },
});;

const nextPage = await getPostList(techCrunchList.pagination.next);;